import * as anchor from "@project-serum/anchor";
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    readonly configId: string;
    readonly tokenMint: anchor.web3.PublicKey;
    constructor(programId: anchor.web3.PublicKey, configId: string, tokenMint: anchor.web3.PublicKey);
    getMarketPDA: () => PDAInfo;
    getMarketTokenVaultPDA: () => PDAInfo;
    getMarketNativeVaultPDA: () => PDAInfo;
    getOfferPDA: (offerID: anchor.BN) => PDAInfo;
    getTradePDA: (tradeID: anchor.BN) => PDAInfo;
    getArbitratorCertPDA: (arbitratorAuthority: anchor.web3.PublicKey) => PDAInfo;
    getKycCertPDA: (user: anchor.web3.PublicKey) => PDAInfo;
    getEvidencePDA: (user: anchor.web3.PublicKey, trade: anchor.web3.PublicKey) => PDAInfo;
}
